Subject: Cant edit items in Structure Panel without html output
Description

'TYPO3.Neos.NodeTypes:Page':
  superTypes: ['TYPO3.Neos:Document']
  childNodes:
    visuals:
      type: 'TYPO3.Neos:ContentCollection'

"childNodes.visuals" should be printed out as a json string in a data attribute.
Output Example:

<div data-plugin="Lazy-Loading-Slider" data-mediaelements="{jsonofcollectionImages}">
   <div class="slideElement"></div>
</div>

But Neos does not allow me to access the properties of a selected node in structure panel without an existing output on the page?
Selecting the node should allways show the nodeproperties panel. no matter if it has an output on the page or not.

History
#1 - 2014-04-25 23:26 - Christian Müller
- Status changed from New to Needs Feedback

Well the visual output would be the div, but you have to make that div part of the rendering of the content collection. You don't need to display the
content in another way than the json string. That should still work, but you need to have the div actually be the content collection wrapper div so we
have a place to render our metadata into.

IMHO not a bug, but element needs to be implemented differently.

#2 - 2014-04-28 16:23 - Carsten Bleicker

so i need a div for metadata in my content area, if i understand this correct?
why in my contentarea? isnt a better place for metadata the current structure in the structure panel?
couldnt be the metadata located there? so this would also fix my problem with all this wrapping stuff and keep my html output realy clean?

#3 - 2014-06-20 13:35 - Aske Ertmann
- Assigned To set to Christian Müller
